import { fn } from './fn.js';
import { baseResponseTemplate } from '../../../utils/response-templates/base-response-template';
import { postResponseTemplate } from '../../../utils/response-templates/post-response-template';

export const post = {
  schema: {
    api: {{api}},
    description: 'Creates at least one {{pascalCase name}} object',
    tags: ['{{pascalCase name}}'],
    summary: 'This method allows you to create at least {{pascalCase name}} object. Use this also for batch create.',
    body: {
      type: 'array',
      items: '{{pascalCase name}}CreateRequest#'
    },
    response: {
      200: {
        description: 'Successful response',
        type: 'object',
        properties: {
          success: { type: 'boolean' },
          items: {
            type: 'array',
            items: { $ref: '{{pascalCase name}}#' }
          }
        }
      },
      ...baseResponseTemplate,
      ...postResponseTemplate
    }
  },
  fn
};
